Runtime

## org.eclipse.gmf.runtime.diagram.ui.printing.util
Class DiagramPrinterUtil

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.printing.util.DiagramPrinterUtil

public class DiagramPrinterUtil
extends java.lang.Object

Utility for using the DiagramPrinter to print diagrams after displaying a print dialog box to the user. Diagrams are printed using the DiagramPrinter and respect the settings chosen by the user in the print dialog.

Constructor Summary
`DiagramPrinterUtil()`

Method Summary
`static void` `printWithSettings(IEditorPart editorPart, java.util.Map diagramMap, org.eclipse.gmf.runtime.diagram.ui.printing.internal.util.DiagramPrinter diagramPrinter)` Opens up the print diagrams dialog, allows the user to choose the settings, and prints.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramPrinterUtil

    public DiagramPrinterUtil()

Method Detail

### printWithSettings

    public static void printWithSettings(IEditorPart editorPart,
                                         java.util.Map diagramMap,
                                         org.eclipse.gmf.runtime.diagram.ui.printing.internal.util.DiagramPrinter diagramPrinter)

  Opens up the print diagrams dialog, allows the user to choose the settings, and prints.

  Parameters:
    `editorPart` - current editor part
    `diagramMap` - map of String names to Diagram objects. Should be initialized by caller of this method. String names will show up in the print dialog that allows the user to choose which diagrams to print from a list.
    `diagramPrinter` - the diagram printer that does the work of actually printing the diagrams

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.